Am 13.05.2010 23:34, schrieb Faried Nawaz:
Scott, Nate:

I got it to work with a minor adjustment on Ubuntu 10.04.  I did

apt-get install rake rubygems libopenssl-ruby
gem install oauth
gem install rr
gem install require_all
git clone http://github.com/marcel/twurl.git
apply this diff: http://gist.github.com/400489
rake dist:gem
gem install pkg/twurl-*.gem

You're set.

so i suppose i am doing things wrong.
i followed your instructions, but when i apply the diff, i get this:


$ patch -i twurldiff
patching file Rakefile
patching file twurl.rb
Hunk #1 FAILED at 4.
1 out of 1 hunk FAILED -- saving rejects to file twurl.rb.rej
patching file rcfile_test.rb
Hunk #1 FAILED at 138.
1 out of 1 hunk FAILED -- saving rejects to file rcfile_test.rb.rej


$ rake dist:gem
(in /home/lorth/twurl)
mkdir -p pkg
WARNING:  description and summary are identical
  Successfully built RubyGem
  Name: twurl
  Version: 0.6.1
  File: twurl-0.6.1.gem
mv twurl-0.6.1.gem pkg/twurl-0.6.1.gem


installing the patched twurl works, but it still gives me the same
error as before.

this is the first time i am touching ruby, so i have a kinda hard time figuring out whats going on. seems like twurls wants to load some
dependencies when the error occured, but i dont know how to fix this.
anyone have a clue?

Reply via email to